### Function

# FwupdPlugin version_from_uint16_hex

since: 2.0.0

#### Declaration [src]

    gchar*
    fu_version_from_uint16_hex (
      guint16 val,
      FwupdVersionFormat kind
    )

#### Description [src]

Returns a dotted hex version string from a 16 bit number.

Available since: 2.0.0

#### Parameters

`val`

  Type: `guint16`

  A uint16le version number.

`kind`

  Type: `FwupdVersionFormat`

  Version kind used for formatting, e.g. `FWUPD_VERSION_FORMAT_TRIPLET`.

#### Return value

Type: `gchar*`

A version number, e.g. `1a.f3`, or `NULL` if not supported.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.